Skip to main content
GET
/
identity
/
v1
/
users
/
me
Gets the currently authenticated user's profile.
curl --request GET \
  --url https://api.sandbox.tesouro.com/identity/v1/users/me \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "<string>",
  "isExpenseApprover": true,
  "name": "<string>",
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "address": {
    "address1": "<string>",
    "address2": "<string>",
    "city": "<string>",
    "postalCode": "<string>",
    "state": "<string>"
  },
  "jobTitle": "<string>",
  "lastLoggedInDateTime": "2023-11-07T05:31:56Z",
  "phoneNumber": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Returns the authenticated user's profile.

Profile information for the currently authenticated user.

id
string<uuid>
required
email
string
required
isExpenseApprover
boolean
required
name
string
required
organizationId
string<uuid>
required
role
enum<string>
required
Available options:
ADMIN,
BOOKKEEPER,
EMPLOYEE,
TREASURY_MANAGER
status
enum<string>
required
Available options:
ACTIVE,
INACTIVE,
INVITED
address
object
jobTitle
null | string
lastLoggedInDateTime
null | string<date-time>
phoneNumber
null | string